> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Select All Product Pages

> Select all product pages with confidence above threshold.

**Authentication Required**: Requires `job:create` permission.



## OpenAPI

````yaml /openapi/merchantops-public.json post /api/products/crawl-discoveries/{job_id}/select-all
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/products/crawl-discoveries/{job_id}/select-all:
    post:
      tags:
        - Products
      summary: Select All Product Pages
      description: |-
        Select all product pages with confidence above threshold.

        **Authentication Required**: Requires `job:create` permission.
      operationId: select_all_product_pages
      parameters:
        - in: path
          name: job_id
          required: true
          schema:
            title: Job Id
            type: string
        - description: Minimum confidence to select
          in: query
          name: min_confidence
          required: false
          schema:
            default: 0.7
            description: Minimum confidence to select
            maximum: 1
            minimum: 0
            title: Min Confidence
            type: number
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: >-
                  Response Select All Product Pages Api Products Crawl
                  Discoveries  Job Id  Select All Post
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````